pandoc-1.16.0.2: Conversion between markup formats

Copyright | Copyright (C) 2012-2015 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell98

Text.Pandoc.Readers.MediaWiki

Description

Conversion of mediawiki text to `Pandoc` document.

Synopsis

- readMediaWiki :: ReaderOptions -> String -> Either PandocError Pandoc

# Documentation

readMediaWiki Source

Arguments

:: ReaderOptions | Reader options
-> String | String to parse (assuming `'\n'` line endings)
-> Either PandocError Pandoc |

Read mediawiki from an input string and return a Pandoc document.